/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.servicecomb.saga.core;

public interface Fallback extends Operation {

  Fallback NOP_FALLBACK = new Fallback() {
    @Override
    public String type() {
      return TYPE_NOP;
    }

    @Override
    public SagaResponse send(String address) {
      return SUCCESSFUL_SAGA_RESPONSE;
    }

    @Override
    public SagaResponse send(String address, SagaResponse response) {
      return send(address);
    }

    @Override
    public int retries() {
      return 0;
    }
  };

  String type();
}
